//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.4-2
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a>
// Any modifications to this file will be lost upon recompilation of the source schema.
// Generated on: 2013.03.28 at 07:14:46 PM CET
//


package de.jost_net.OBanToo.SEPA.Nachricht.pain_008_002_02;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for PaymentTypeInformationSDD complex type.
 *
 * <p>The following schema fragment specifies the expected content contained within this class.
 *
 * <pre>
 * &lt;complexType name="PaymentTypeInformationSDD">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="SvcLvl" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.002.02}ServiceLevelSEPA"/>
 *         &lt;element name="LclInstrm" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.002.02}LocalInstrumentSEPA"/>
 *         &lt;element name="SeqTp" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.002.02}SequenceType1Code"/>
 *         &lt;element name="CtgyPurp" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.002.02}CategoryPurposeSEPA" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "PaymentTypeInformationSDD", propOrder = {
        "svcLvl",
        "lclInstrm",
        "seqTp",
        "ctgyPurp"
})
public class PaymentTypeInformationSDD {

    @XmlElement(name = "SvcLvl", required = true)
    protected ServiceLevelSEPA svcLvl;
    @XmlElement(name = "LclInstrm", required = true)
    protected LocalInstrumentSEPA lclInstrm;
    @XmlElement(name = "SeqTp", required = true)
    protected SequenceType1Code seqTp;
    @XmlElement(name = "CtgyPurp")
    protected CategoryPurposeSEPA ctgyPurp;

    /**
     * Gets the value of the svcLvl property.
     *
     * @return possible object is
     * {@link ServiceLevelSEPA }
     */
    public ServiceLevelSEPA getSvcLvl() {
        return svcLvl;
    }

    /**
     * Sets the value of the svcLvl property.
     *
     * @param value allowed object is
     *              {@link ServiceLevelSEPA }
     */
    public void setSvcLvl(ServiceLevelSEPA value) {
        this.svcLvl = value;
    }

    /**
     * Gets the value of the lclInstrm property.
     *
     * @return possible object is
     * {@link LocalInstrumentSEPA }
     */
    public LocalInstrumentSEPA getLclInstrm() {
        return lclInstrm;
    }

    /**
     * Sets the value of the lclInstrm property.
     *
     * @param value allowed object is
     *              {@link LocalInstrumentSEPA }
     */
    public void setLclInstrm(LocalInstrumentSEPA value) {
        this.lclInstrm = value;
    }

    /**
     * Gets the value of the seqTp property.
     *
     * @return possible object is
     * {@link SequenceType1Code }
     */
    public SequenceType1Code getSeqTp() {
        return seqTp;
    }

    /**
     * Sets the value of the seqTp property.
     *
     * @param value allowed object is
     *              {@link SequenceType1Code }
     */
    public void setSeqTp(SequenceType1Code value) {
        this.seqTp = value;
    }

    /**
     * Gets the value of the ctgyPurp property.
     *
     * @return possible object is
     * {@link CategoryPurposeSEPA }
     */
    public CategoryPurposeSEPA getCtgyPurp() {
        return ctgyPurp;
    }

    /**
     * Sets the value of the ctgyPurp property.
     *
     * @param value allowed object is
     *              {@link CategoryPurposeSEPA }
     */
    public void setCtgyPurp(CategoryPurposeSEPA value) {
        this.ctgyPurp = value;
    }

}
